/* beispiel_ls4_04joins.sql - Beispieldatenbank LS4 - Joins
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  29.04.2021, 21.06.2022
*/

/* Datenbank auswählen */
USE beispiel_ls4_joins;

/* Inner Join */
SELECT
    kunden.KundenName,
    bestellungen.Bestellungsdatum
FROM
    kunden
    INNER JOIN bestellungen ON kunden.KundenID = bestellungen.KundenID;

/* Left Join */
SELECT
    kunden.KundenName,
    bestellungen.Bestellungsdatum
FROM
    kunden
    LEFT JOIN bestellungen ON kunden.KundenID = bestellungen.KundenID;

/* Right Join */
SELECT
    kunden.KundenName,
    bestellungen.Bestellungsdatum
FROM
    kunden
    RIGHT JOIN bestellungen ON kunden.KundenID = bestellungen.KundenID;

/* Outer Join per Simulation, da MySQL hier schwächelt*/
SELECT
    kunden.KundenName,
    bestellungen.Bestellungsdatum
FROM
    kunden
    LEFT JOIN bestellungen ON kunden.KundenID = bestellungen.KundenID
UNION
SELECT
    kunden.KundenName,
    bestellungen.Bestellungsdatum
FROM
    kunden
    RIGHT JOIN bestellungen ON kunden.KundenID = bestellungen.KundenID;